module.exports =
/******/ (function(modules) { // webpackBootstrap
/******/ 	// The module cache
/******/ 	var installedModules = {};
/******/
/******/ 	// The require function
/******/ 	function __webpack_require__(moduleId) {
/******/
/******/ 		// Check if module is in cache
/******/ 		if(installedModules[moduleId]) {
/******/ 			return installedModules[moduleId].exports;
/******/ 		}
/******/ 		// Create a new module (and put it into the cache)
/******/ 		var module = installedModules[moduleId] = {
/******/ 			i: moduleId,
/******/ 			l: false,
/******/ 			exports: {}
/******/ 		};
/******/
/******/ 		// Execute the module function
/******/ 		modules[moduleId].call(module.exports, module, module.exports, __webpack_require__);
/******/
/******/ 		// Flag the module as loaded
/******/ 		module.l = true;
/******/
/******/ 		// Return the exports of the module
/******/ 		return module.exports;
/******/ 	}
/******/
/******/
/******/ 	// expose the modules object (__webpack_modules__)
/******/ 	__webpack_require__.m = modules;
/******/
/******/ 	// expose the module cache
/******/ 	__webpack_require__.c = installedModules;
/******/
/******/ 	// identity function for calling harmony imports with the correct context
/******/ 	__webpack_require__.i = function(value) { return value; };
/******/
/******/ 	// define getter function for harmony exports
/******/ 	__webpack_require__.d = function(exports, name, getter) {
/******/ 		if(!__webpack_require__.o(exports, name)) {
/******/ 			Object.defineProperty(exports, name, {
/******/ 				configurable: false,
/******/ 				enumerable: true,
/******/ 				get: getter
/******/ 			});
/******/ 		}
/******/ 	};
/******/
/******/ 	// getDefaultExport function for compatibility with non-harmony modules
/******/ 	__webpack_require__.n = function(module) {
/******/ 		var getter = module && module.__esModule ?
/******/ 			function getDefault() { return module['default']; } :
/******/ 			function getModuleExports() { return module; };
/******/ 		__webpack_require__.d(getter, 'a', getter);
/******/ 		return getter;
/******/ 	};
/******/
/******/ 	// Object.prototype.hasOwnProperty.call
/******/ 	__webpack_require__.o = function(object, property) { return Object.prototype.hasOwnProperty.call(object, property); };
/******/
/******/ 	// __webpack_public_path__
/******/ 	__webpack_require__.p = "";
/******/
/******/ 	// Load entry module and return exports
/******/ 	return __webpack_require__(__webpack_require__.s = 21);
/******/ })
/************************************************************************/
/******/ ([
/* 0 */
/***/ (function(module, exports) {

module.exports = require("react");

/***/ }),
/* 1 */
/***/ (function(module, exports) {

module.exports = require("react-fela");

/***/ }),
/* 2 */
/***/ (function(module, exports) {

module.exports = require("react-redux");

/***/ }),
/* 3 */
/***/ (function(module, exports) {

module.exports = require("redux");

/***/ }),
/* 4 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";

Object.defineProperty(exports, "__esModule", { value: true });
var IconPanel_1 = __webpack_require__(16);
exports.IconPanel = IconPanel_1.default;
var TreePanel_1 = __webpack_require__(17);
exports.TreePanel = TreePanel_1.default;
var EditorPanel_1 = __webpack_require__(14);
exports.EditorPanel = EditorPanel_1.default;
var ConsolePanel_1 = __webpack_require__(13);
exports.ConsolePanel = ConsolePanel_1.default;


/***/ }),
/* 5 */
/***/ (function(module, exports) {

module.exports = require("@workbench-stack/client-layout-redux");

/***/ }),
/* 6 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";

Object.defineProperty(exports, "__esModule", { value: true });
const react_redux_1 = __webpack_require__(2);
exports.withTheme = keyValue => {
    const storeKeys = Object.keys(keyValue);
    const mapStateToProps = state => {
        const theme = state.theme;
        return storeKeys.reduce((acc, cur) => {
            acc[keyValue[cur]] = theme[cur];
            return acc;
        }, {});
    };
    return react_redux_1.connect(mapStateToProps);
};


/***/ }),
/* 7 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";

Object.defineProperty(exports, "__esModule", { value: true });
const React = __webpack_require__(0);
const redux_1 = __webpack_require__(3);
const react_redux_1 = __webpack_require__(2);
const client_layout_redux_1 = __webpack_require__(5);
const components_1 = __webpack_require__(4);
const hoc_1 = __webpack_require__(6);
const ConsolePanelComponent = (props) => (React.createElement(components_1.ConsolePanel, Object.assign({}, props)));
const openPrev = (dispatch, getState) => {
    const { resize: rsz } = getState();
    if (typeof window !== undefined && (!rsz.consolePanelPrev || rsz.consolePanelPrev > window.innerHeight * 0.9)) {
        dispatch(client_layout_redux_1.resize('consolePanel', Math.min(300, window.innerHeight * 0.8)));
    }
    dispatch(client_layout_redux_1.resize('consolePanel', rsz.consolePanelPrev));
};
const themed = redux_1.compose(...[
    hoc_1.withTheme({
        backgroundBlue: 'backgroundColor',
    }),
    react_redux_1.connect(state => ({ height: state.resize.consolePanel }), dispatch => ({
        onResize: ({ height }) => dispatch(client_layout_redux_1.resize('consolePanel', height)),
        saveSize: ({ height }) => dispatch(client_layout_redux_1.resize('consolePanelPrev', height)),
        open: () => dispatch(openPrev),
    })),
])(ConsolePanelComponent);
exports.default = themed;


/***/ }),
/* 8 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";

Object.defineProperty(exports, "__esModule", { value: true });
const redux_1 = __webpack_require__(3);
const react_redux_1 = __webpack_require__(2);
const components_1 = __webpack_require__(4);
const hoc_1 = __webpack_require__(6);
const EditorPanelEnhanced = redux_1.compose(...[
    hoc_1.withTheme({
        backgroundBlue: 'backgroundColor',
    }),
    react_redux_1.connect(state => ({
        treePanelWidth: state.resize.treePanel,
        consolePanelHeight: state.resize.consolePanel,
    })),
])(components_1.EditorPanel);
exports.default = EditorPanelEnhanced;


/***/ }),
/* 9 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";

Object.defineProperty(exports, "__esModule", { value: true });
var TreePanel_1 = __webpack_require__(20);
exports.TreePanelEnhanced = TreePanel_1.default;
var EditorPanel_1 = __webpack_require__(8);
exports.EditorPanelEnhanced = EditorPanel_1.default;
var ConsolePanel_1 = __webpack_require__(7);
exports.ConsolePanelEnhanced = ConsolePanel_1.default;
var IconPanel_1 = __webpack_require__(18);
exports.IconPanelEnhanced = IconPanel_1.default;
var RightLayout_1 = __webpack_require__(19);
exports.RightLayout = RightLayout_1.default;


/***/ }),
/* 10 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";

Object.defineProperty(exports, "__esModule", { value: true });
const React = __webpack_require__(0);
const redux_1 = __webpack_require__(3);
const react_redux_1 = __webpack_require__(2);
const react_fela_1 = __webpack_require__(1);
const client_layout_redux_1 = __webpack_require__(5);
const options = [
    {
        label: 'Problems',
        value: 'problems',
    },
    {
        label: 'Output',
        value: 'output',
    },
    {
        label: 'Debug console',
        value: 'debug',
    },
    {
        label: 'Terminal',
        value: 'terminal',
    },
];
const Option = redux_1.compose(...[
    react_redux_1.connect((state, { name }) => ({
        active: state.consolePanel.active === name,
    }), dispatch => ({
        onClick: (name) => dispatch(client_layout_redux_1.setActiveConsoleTab(name)),
    })),
    react_fela_1.connect({
        option: ({ active }) => ({
            color: active ? '#e7e7e7' : '#cccccc',
            opacity: active ? 1 : .8,
            margin: '10px 14px',
            fontSize: '11px',
            userSelect: 'none',
            textTransform: 'uppercase',
            fontFamily: '-apple-system,BlinkMacSystemFont,Segoe WPC,Segoe UI,HelveticaNeue-Light,Ubuntu,Droid Sans,sans-serif',
            transition: 'color 50ms ease',
            cursor: 'pointer',
            '&:hover': {
                opacity: 1,
                color: '#e7e7e7',
            },
        }),
    }),
])(({ label, name, onClick, styles }) => (React.createElement("div", { className: styles.option, onClick: onClick.bind(this, name) }, label)));
class Controls extends React.PureComponent {
    componentDidMount() {
        if (!this.props.activeTab) {
            this.props.setActiveConsoleTab(options[0].value);
        }
    }
    renderOptions() {
        return (React.createElement("div", { className: this.props.styles.options }, options.map(option => (React.createElement("div", { key: option.value },
            React.createElement(Option, { label: option.label, name: option.value }))))));
    }
    renderHeader() {
        const { controls, activeTab } = this.props;
        if (controls && controls[activeTab] && controls[activeTab].header) {
            return controls[activeTab].header;
        }
        return null;
    }
    render() {
        return (React.createElement("div", { className: this.props.styles.container },
            this.renderOptions(),
            this.renderHeader()));
    }
}
exports.Controls = Controls;
exports.default = redux_1.compose(...[
    react_redux_1.connect(state => ({
        activeTab: state.consolePanel.active,
    }), dispatch => ({
        setActiveConsoleTab: (name) => dispatch(client_layout_redux_1.setActiveConsoleTab(name)),
    })),
    react_fela_1.connect({
        container: () => ({
            display: 'flex',
            justifyContent: 'space-between',
            flexDirection: 'row',
            height: '35px',
        }),
        options: () => ({
            display: 'flex',
        }),
    }),
])(Controls);


/***/ }),
/* 11 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";

Object.defineProperty(exports, "__esModule", { value: true });
const React = __webpack_require__(0);
const react_fela_1 = __webpack_require__(1);
const iconStyle = {
    display: 'block',
    height: '35px',
    lineHeight: '35px',
    minWidth: '28px',
    backgroundSize: '16px!important',
    backgroundPosition: '50%!important',
    backgroundRepeat: 'no-repeat!important',
    outlineOffset: '-2px',
};
exports.IconMaximize = react_fela_1.connect({
    icon: () => (Object.assign({ background: `url("data:image/svg+xml;charset=utf-8,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 16 16'%3E%3Cstyle%3E.icon-canvas-transparent{opacity:0;fill:%232d2d30}.icon-vs-out{fill:%232d2d30}.icon-vs-bg{fill:%23c5c5c5}%3C/style%3E%3Cpath class='icon-canvas-transparent' d='M16 16H0V0h16v16z' id='canvas'/%3E%3Cpath class='icon-vs-bg' d='M14.207 10.413l-1.414 1.414-4.826-4.826-4.76 4.761-1.414-1.414 6.174-6.175 6.24 6.24z' id='iconBg'/%3E%3C/svg%3E") 50% no-repeat` }, iconStyle)),
})(({ styles, onClick }) => (React.createElement("div", { className: styles.icon, onClick: onClick })));
exports.IconMinimize = react_fela_1.connect({
    icon: () => (Object.assign({ background: `url("data:image/svg+xml;charset=utf-8,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 16 16'%3E%3Cstyle%3E.icon-canvas-transparent{opacity:0;fill:%232d2d30}.icon-vs-out{fill:%232d2d30}.icon-vs-bg{fill:%23c5c5c5}%3C/style%3E%3Cpath class='icon-canvas-transparent' d='M16 16H0V0h16v16z' id='canvas'/%3E%3Cpath class='icon-vs-bg' d='M7.967 11.827L1.793 5.652l1.414-1.414 4.76 4.761 4.826-4.826 1.414 1.414-6.24 6.24z' id='iconBg'/%3E%3C/svg%3E") 50% no-repeat` }, iconStyle)),
})(({ styles, onClick }) => (React.createElement("div", { className: styles.icon, onClick: onClick })));


/***/ }),
/* 12 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";

Object.defineProperty(exports, "__esModule", { value: true });
const React = __webpack_require__(0);
const react_fela_1 = __webpack_require__(1);
exports.default = react_fela_1.connect({
    panels: () => ({
        height: 'calc(100% - 35px)',
    }),
})(({ styles, children }) => (React.createElement("div", { className: styles.panels }, children)));


/***/ }),
/* 13 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";

Object.defineProperty(exports, "__esModule", { value: true });
const React = __webpack_require__(0);
const redux_1 = __webpack_require__(3);
const react_redux_1 = __webpack_require__(2);
const react_fela_1 = __webpack_require__(1);
const react_resizable_box_1 = __webpack_require__(23);
const Controls_1 = __webpack_require__(10);
const Panels_1 = __webpack_require__(12);
const Icons_1 = __webpack_require__(11);
const resizeSides = {
    top: true,
    right: false,
    bottom: false,
    left: false,
    topRight: false,
    bottomRight: false,
    bottomLeft: false,
    topLeft: false,
};
const closeOpts = { height: 0 };
class ConsolePanelComponent extends React.PureComponent {
    constructor() {
        super(...arguments);
        this.onResizeStop = (e, dir, el) => {
            const height = el.clientHeight;
            if (height > 100) {
                this.props.saveSize({ height });
            }
        };
        this.onResize = (e, dir, el) => {
            const height = el.clientHeight;
            this.props.onResize({ height });
        };
    }
    componentDidMount() {
        if (!this.props.height) {
            this.props.onResize({ height: 200 });
        }
    }
    renderIcon() {
        const { height } = this.props;
        if (height) {
            return React.createElement(Icons_1.IconMinimize, { onClick: this.props.onResize.bind(this, closeOpts) });
        }
        return React.createElement(Icons_1.IconMaximize, { onClick: this.props.open });
    }
    renderPanel() {
        const { activeTab, controls } = this.props;
        if (controls && controls[activeTab] && controls[activeTab].panel) {
            return controls[activeTab].panel;
        }
        return null;
    }
    render() {
        const { styles, height, controls } = this.props;
        const isBrowser = typeof window !== 'undefined';
        return (React.createElement(react_resizable_box_1.default, { height: height, maxHeight: isBrowser && window.innerHeight - 50, enable: resizeSides, onResize: this.onResize, onResizeStop: this.onResizeStop },
            React.createElement("div", { className: styles.container },
                React.createElement("div", { className: styles.toggleIcon }, this.renderIcon()),
                React.createElement(Controls_1.default, { controls: controls }),
                React.createElement(Panels_1.default, null, this.renderPanel()))));
    }
}
exports.ConsolePanelComponent = ConsolePanelComponent;
const ConsolePanel = redux_1.compose(...[
    react_fela_1.connect({
        container: ({ backgroundColor }) => ({
            width: '100%',
            height: 'calc(100% - 2px)',
            borderTop: '2px solid rgb(49, 49, 55)',
            backgroundColor: backgroundColor || 'khaki',
        }),
        toggleIcon: () => ({
            position: 'absolute',
            top: '0px',
            right: '0px',
            cursor: 'pointer',
        }),
    }),
    react_redux_1.connect((state) => ({
        activeTab: state.consolePanel.active,
    })),
])(ConsolePanelComponent);
exports.default = ConsolePanel;


/***/ }),
/* 14 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";

Object.defineProperty(exports, "__esModule", { value: true });
const React = __webpack_require__(0);
const react_fela_1 = __webpack_require__(1);
class EditorPanel extends React.Component {
    render() {
        const { editor, styles } = this.props;
        return (React.createElement("div", { className: styles.container }, editor));
    }
}
exports.default = react_fela_1.connect({
    container: ({ backgroundColor, consolePanelHeight }) => ({
        backgroundColor: backgroundColor || 'bisque',
        width: '100%',
        height: `calc(100% - ${consolePanelHeight}px)`,
    }),
})(EditorPanel);


/***/ }),
/* 15 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";

Object.defineProperty(exports, "__esModule", { value: true });
const React = __webpack_require__(0);
const react_fela_1 = __webpack_require__(1);
class Icon extends React.PureComponent {
    render() {
        const { disabled, image, style, styles, tooltip, onClick } = this.props;
        return (React.createElement("button", { disabled: disabled, className: styles.anchor, style: style, onClick: onClick }));
    }
}
exports.default = react_fela_1.connect({
    anchor: ({ active }) => ({
        display: 'flex',
        overflow: 'hidden',
        height: '40px',
        lineHeight: '40px',
        marginRight: '0',
        padding: '0 0 0 50px',
        margin: 0,
        fontSize: '15px',
        cursor: 'pointer',
        backgroundColor: active ? 'rgb(255, 255, 255)' : 'rgb(180, 180, 180)',
        '&:hover': {
            backgroundColor: 'rgb(255, 255, 255)',
        },
    }),
})(Icon);


/***/ }),
/* 16 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";

Object.defineProperty(exports, "__esModule", { value: true });
const React = __webpack_require__(0);
const react_fela_1 = __webpack_require__(1);
const Icon_1 = __webpack_require__(15);
class IconPanel extends React.Component {
    constructor() {
        super(...arguments);
        this.onItemClick = itemId => {
            const isDblClick = itemId === this.props.activeId;
            const func = itemId === this.props.activeId
                ? this.props.onDoubleClick
                : this.props.onClick;
            if (func) {
                func(itemId);
            }
        };
    }
    componentDidMount() {
        if (this.props.icons) {
            this.onItemClick(this.props.icons[0].name);
        }
    }
    renderIcons() {
        const { icons, activeId } = this.props;
        return icons.map((icon, index) => (React.createElement(Icon_1.default, { onClick: () => this.onItemClick(icon.name), active: icon.name === activeId, style: icon.style, key: index })));
    }
    render() {
        const { hidden, style, styles } = this.props;
        if (hidden) {
            return null;
        }
        return (React.createElement("div", { className: styles.container, style: style }, this.renderIcons()));
    }
}
IconPanel.defaultProps = {
    direction: 'vertical',
    icons: [
        {
            style: {
                WebkitMask: `url("data:image/svg+xml;charset=utf-8,%3Csvg xmlns='http://www.w3.org/2000/svg' width='32' height='32'%3E%3Cpath d='M17.705 8H9s-2 .078-2 2v15s0 2 2 2l11-.004C22 27 22 25 22 25V13.509L17.705 8zM16 10v5h4v10H9V10h7zm5.509-6h-8.493S11 4.016 10.985 6H19v.454L22.931 11H24v12c2 0 2-1.995 2-1.995V9.648L21.509 4z' fill='%23fff'/%3E%3C/svg%3E") no-repeat 50% 50%`
            },
            name: 'files',
        },
        {
            style: {
                WebkitMask: `url("data:image/svg+xml;charset=utf-8,%3Csvg xmlns='http://www.w3.org/2000/svg' width='32' height='32'%3E%3Cpath d='M19.23 4.095c-4.842 0-8.769 3.928-8.769 8.771 0 1.781.539 3.43 1.449 4.815 0 0-5.482 5.455-7.102 7.102-1.621 1.646 1.001 4.071 2.602 2.409 1.602-1.659 7.006-7.005 7.006-7.005a8.726 8.726 0 0 0 4.814 1.45 8.773 8.773 0 0 0 8.772-8.771c.001-4.844-3.927-8.771-8.772-8.771zm0 15.035a6.265 6.265 0 1 1 0-12.529 6.264 6.264 0 1 1 0 12.529z' fill='%23fff'/%3E%3C/svg%3E") no-repeat 50% 50%`
            },
            name: 'search',
        },
    ],
};
exports.default = react_fela_1.connect({
    container: ({ direction }) => ({
        display: 'flex',
        width: '50px',
        paddingTop: '12px',
        flexDirection: direction === 'horizontal' ? 'row' : 'column',
        backgroundColor: 'rgb(38, 38, 38)',
    }),
})(IconPanel);


/***/ }),
/* 17 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";

Object.defineProperty(exports, "__esModule", { value: true });
const React = __webpack_require__(0);
const react_fela_1 = __webpack_require__(1);
const react_resizable_1 = __webpack_require__(22);
class TreePanel extends React.PureComponent {
    constructor() {
        super(...arguments);
        this.onResizeStop = (e, { size: { width } }) => {
            if (width <= window.innerWidth * 0.8 && width >= 150) {
                this.props.saveSize({ width });
            }
        };
        this.onResize = (e, { size: { width } }) => {
            if (width <= window.innerWidth * 0.8 && width >= 150) {
                this.resizeWidth(width);
            }
            else if (width < 100) {
                this.resizeWidth(0);
            }
        };
        this.resizeWidth = width => {
            this.props.onResize({ width });
        };
    }
    renderPanels() {
        const { activeId, panels } = this.props;
        if (panels && panels.files && activeId === 'files') {
            return panels.files;
        }
        else if (panels && panels.search && activeId === 'search') {
            return panels.search;
        }
        else {
            return null;
        }
    }
    render() {
        const { styles, width } = this.props;
        return (React.createElement(react_resizable_1.Resizable, { id: 'sidePanel', axis: 'x', width: width, height: Infinity, onResize: this.onResize, onResizeStop: this.onResizeStop },
            React.createElement("div", { className: styles.container, style: { width } }, this.renderPanels())));
    }
}
exports.default = react_fela_1.connect({
    container: ({ backgroundColor }) => ({
        height: '100%',
        backgroundColor: backgroundColor || 'pink',
    }),
})(TreePanel);


/***/ }),
/* 18 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";

Object.defineProperty(exports, "__esModule", { value: true });
const react_redux_1 = __webpack_require__(2);
const components_1 = __webpack_require__(4);
const client_layout_redux_1 = __webpack_require__(5);
const mapStateToProps = state => ({
    activeId: state.sideMenu.active,
});
const mapDispatchToProps = dispatch => ({
    onClick: itemId => dispatch(client_layout_redux_1.setActiveSideMenu(itemId)),
    onDoubleClick: () => dispatch(client_layout_redux_1.setInactiveSideMenu()),
});
const IconPanelEnhanced = react_redux_1.connect(mapStateToProps, mapDispatchToProps)(components_1.IconPanel);
exports.default = IconPanelEnhanced;


/***/ }),
/* 19 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";

Object.defineProperty(exports, "__esModule", { value: true });
const React = __webpack_require__(0);
const redux_1 = __webpack_require__(3);
const react_redux_1 = __webpack_require__(2);
const react_fela_1 = __webpack_require__(1);
const EditorPanel_1 = __webpack_require__(8);
const ConsolePanel_1 = __webpack_require__(7);
const RightLayout = (props) => (React.createElement("div", { className: props.styles && props.styles.container },
    React.createElement(EditorPanel_1.default, { editor: props.editor }),
    React.createElement(ConsolePanel_1.default, { controls: props.controls })));
exports.default = redux_1.compose(...[
    react_redux_1.connect(state => ({
        treePanelWidth: state.resize.treePanel || 0,
    })),
    react_fela_1.connect({
        container: ({ treePanelWidth }) => ({
            height: '100%',
            width: `calc(100vw - ${treePanelWidth}px - 50px)`,
            overflowY: 'scroll',
            display: 'flex',
            flexDirection: 'column',
            justifyContent: 'space-between',
        }),
    }),
])(RightLayout);


/***/ }),
/* 20 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";

Object.defineProperty(exports, "__esModule", { value: true });
const redux_1 = __webpack_require__(3);
const react_redux_1 = __webpack_require__(2);
const client_layout_redux_1 = __webpack_require__(5);
const components_1 = __webpack_require__(4);
const hoc_1 = __webpack_require__(6);
const TreePanelEnhanced = redux_1.compose(...[
    react_redux_1.connect(state => ({
        activeId: state.sideMenu.active,
        width: state.resize.treePanel || 0,
    }), dispatch => ({
        onResize: ({ width }) => {
            dispatch(client_layout_redux_1.resizeTreePanel(width));
        },
        saveSize: ({ width }) => {
            dispatch(client_layout_redux_1.resize('treePanelPrev', width));
        },
    })),
    hoc_1.withTheme({
        backgroundPrimary: 'backgroundColor',
    }),
])(components_1.TreePanel);
exports.default = TreePanelEnhanced;


/***/ }),
/* 21 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";

function __export(m) {
    for (var p in m) if (!exports.hasOwnProperty(p)) exports[p] = m[p];
}
Object.defineProperty(exports, "__esModule", { value: true });
__export(__webpack_require__(4));
__export(__webpack_require__(9));


/***/ }),
/* 22 */
/***/ (function(module, exports) {

module.exports = require("react-resizable");

/***/ }),
/* 23 */
/***/ (function(module, exports) {

module.exports = require("react-resizable-box");

/***/ })
/******/ ]);
//# sourceMappingURL=index.js.map